﻿@font-face {
    font-family: 'Material Symbols';
    src: url('devextreme/icons/MaterialSymbolsOutlined-VariableFont.ttf') format('truetype');
}

@font-face {
    font-family: 'msyh';
    src: url('devextreme/fonts/msyh.ttc') format('ttc'); 
}

body, html {
    margin: 0;
    min-height: 100%;
    height: 100%;
    font-family: 'msyh',Roboto,RobotoFallback,Helvetica,Arial,sans-serif;
}

a {
    text-decoration: none; 
}

#app-side-nav-outer-toolbar {
    flex-direction: column;
    display: flex; 
    height: 100%;
    width: 100%;
}

.layout-header {
    flex: 0 0 auto;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    position: relative;
    z-index: 1505;
}

.dx-toolbar {
    height: 60px; 
}

.dx-toolbar-item {
    height: 60px; 
    line-height: 60px;
}

.dx-toolbar .dx-toolbar-item .menu-button {
    width: 60px;
    text-align: center;
    padding: 0;
}

.dx-toolbar .dx-toolbar-item .menu-button > .dx-toolbar-item-content .dx-icon {
    color: #c1c1c1;
}

.dx-card {
    box-shadow: 0 1px 3px rgba(0,0,0,.12), 0 1px 2px rgba(0,0,0,.24);
    border-radius: 4px;
    background-color: #fff;
    margin: 2px 2px 3px;
}

.dx-card.wide-card {
    border-radius: 0;
    margin-left: 0;
    margin-right: 0;
    border-right: 0;
    border-left: 0;
}

.with-footer > .dx-scrollable-wrapper > .dx-scrollable-container > .dx-scrollable-content {
    height: 100%;
}

.with-footer > .dx-scrollable-wrapper > .dx-scrollable-container > .dx-scrollable-content > .dx-scrollview-content {
    display: flex;
    flex-direction: column;
    min-height: 100%;
}

.layout-body {
    background-color: #1e2832;
    flex: 1;
    height: 100%;
    min-height: 0;
}

.layout-body .menu-container {
    height: 100%;
    width: 250px;
    background-color: #141e28;
}

.layout-body .content {
    flex-grow: 1;
    height: 100%;
    line-height: 1.5;
    margin: 10px 10px;
}

.layout-body .content h2 {
    font-size: 30px;
    line-height: 40px;
}

.layout-body .content-block {
    margin: 0 0 10px;
}

.layout-body .content-footer {
    display: block;
    color: #575757;
    border-top: 1px solid #575757;
    padding-top: 7px;
    padding-bottom: 5px;
    padding-left: 10px;
    font-size: 12px;
    height: 30px;
}

.layout-body .responsive-paddings {
    padding: 10px;
}

.layout-body-hidden {
    visibility: hidden;
}

#layout-drawer.dx-drawer-shrink .dx-drawer-panel-content {
    box-shadow: rgba(0, 0, 0, 0.06) 0px 4px 4px 0px, rgba(0, 0, 0, 0.12) 0px 1px 2px 0px;
}

@media screen and (max-width: 600px) {
    .layout-body .content {
        margin: 10px;
    }
}

@media screen and (min-width: 1280px) {
    .layout-body .responsive-paddings {
        padding: 10px;
    }
}

.navTitle {
    font-size: 26px;
    font-weight: 500;
    color: #f6e258;
    font-family: 'msyh',Roboto,RobotoFallback,Helvetica,Arial,sans-serif;
}

.navTitle a {
    color: #f6e258;
    text-decoration: none;
}

.navTitle a:hover {
    color: #f6e258;
    text-decoration: none;
}

.navTitle a:visited {
    color: #f6e258;
}

.navTitle a:active {
    color: #f6e258;
}

.langBtn {
    margin: 0px 8px 0px 5px !important;
}

.menu-container .dx-widget {
    color: #c1c1c1;
    font-weight: 500;
    font-size: 16px;
    font-family: "msyh",Roboto,RobotoFallback,Helvetica,Arial,sans-serif;
    line-height: 20px;
    margin: -6px 0 0 0;
}

.menu-container .dx-treeview {
    background: #141e28;
    padding: 10px 0;
}

.menu-container .dx-treeview .dx-icon {
    position: absolute !important;
    left: -45px  !important;
    top: 50%;
    transform: translateY(-50%);
    margin: 0;
}

.menu-container .dx-treeview .dx-treeview-item {
    position: relative;
    padding: 8px 15px 8px 60px !important; 
    min-height: 60px;
    transition: background-color 0.3s;
}

.menu-container .dx-treeview .dx-treeview-node[aria-level="2"] .dx-treeview-item {
    padding-left: 75px !important; 
}

.menu-container .dx-treeview .dx-treeview-item-content {
    white-space: normal;
    word-break: break-word;
    width: calc(100% - 95px);
    margin-left: 35px; 
    line-height: 1.4;
}

.menu-container .dx-treeview .dx-treeview-node[aria-level="1"] .dx-treeview-item-content {
    margin-left: 5px !important;
    position: absolute !important;
}

.menu-container .dx-treeview .dx-treeview-node[aria-level="2"] .dx-treeview-item-content {
    margin-left: -15px; 
}

.menu-container .dx-treeview .dx-treeview-node {
    padding: 0 0 !important;
}

.menu-container .dx-treeview .dx-treeview-toggle-item-visibility {
    right: 15px;
    left: auto;
    position: absolute !important;
    top: 50% !important;
    transform: translateY(-50%);
}

.menu-container .dx-treeview .dx-treeview-node[aria-level="1"] {
    font-weight: 400;
    font-size: 16px;
}

.dx-treeview-item-without-checkbox .dx-treeview-item {
    padding-left: 15px;
}

.dx-treeview-item-without-checkbox .dx-treeview-item.dx-state-focused {
    background-color: rgba(86, 141, 242, 0.1);
}

.material {
    font-family: 'Material Symbols';
    font-style: normal; 
    font-weight: 200 !important;
    font-size: 24px !important;
}

.material-menu::before {
    content: "menu";
    font-weight: 400 !important; 
}

.material-home::before {
    content: "home";
}

.material-map::before {
    content: "globe_asia";
}

.material-integration::before {
    content: "hub";
}

.material-continuity::before {
    content: "webhook";
}

.material-vitality::before {
    content: "vital_signs";
}

.material-productive::before {
    content: "manufacturing";
}

.material-developmental::before {
    content: "globe_book";
}

.material-innovative::before {
    content: "person_play";
}

.material-country::before {
    content: "language";
}

.material-row::before {
    content: "calendar_view_day";
}

.material-column::before {
    content: "amp_stories";
}

.material-bar::before {
    content: "finance_mode";
}

.material-download::before {
    content: "archive";
}

.lpcontainer {
    display: flex;
    height: calc(100vh - 120px);
    margin: -8px -10px 0px -10px;
}

.list {
    width: 350px;
    color: #c1c1c1;
    margin: 0px 0px 11px 0px;
}

.map {
    flex-grow: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0px 0px -27px 0px;
}

@media screen and (max-width: 599.99px) {
    .navTitle {
        font-size: 14.8px !important;
        font-weight: 500 !important;
        color: #f6e258 !important;
        min-width: 200px !important;
        max-width: 260px !important;
        word-wrap: break-word !important;
        white-space: normal !important;
        line-height: 17px !important;
    }

    .lpcontainer {
        height: calc(100vh - 120px);
        flex-direction: column;
        margin: -8px -10px 0px -10px;
    }

    .list {
        width: 100%;
        height: 40vh;
        margin: 0px 0px 21px 0px;
    }

    .map {
        height: 60vh;
        margin: 20px 0px -27px 0px;
    }

    .top-section {
        text-align: center;
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 0 !important;
    }

    .bottom-section {
        text-align: center;
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 10px 0 0 0 !important;
    }

    #chartPower {
        width: calc(100vw - 30px) !important;
        height: calc(100vh - 170px) !important;
    }

    .comprehensiveChartMiddle {
        display: flex;
        font-size: 12px !important;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 10%;
    }

    .fivePowerChartMiddle {
        display: flex;
        font-size: 11px !important;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 10%;
    }

    .fivePowerChartMiddleSecondary {
        display: flex;
        font-size: 10.5px !important;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 10%;
    }

    .comprehensiveInfo {
        display: flex;
        font-size: 12px !important;
        color: #c1c1c1;
        min-height: 20px;
        align-items: center;
    }

    .bcr_title {
        font-size: 19px !important;
        color: #c1c1c1 !important;
        font-weight: 500 !important;
        margin: 0 0 10px 0 !important;
        font-family: 'msyh' !important;
        text-align: center !important;
    }
}

@media screen and (min-width: 600px) and (max-width: 960px) {
    .navTitle {
        font-size: 18px !important;
        font-weight: 500 !important;
        color: #f6e258 !important;
        min-width: 210px !important;
        max-width: 400px !important;
        word-wrap: break-word !important;
        white-space: normal !important;
        line-height: 19px !important;
    }

    .lpcontainer {
        height: calc(100vh - 120px);
        flex-direction: column;
        margin: -8px -10px 0px -10px;
    }

    .list {
        width: 100%;
        height: 40vh;
        margin: 0px 0px 21px 0px;
    }

    .map {
        height: 60vh;
        margin: 20px 0px -27px 0px;
    }

    .top-section {
        text-align: center;
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 0 !important;
    }

    .bottom-section {
        text-align: center;
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 10px 0 0 0;
    }

    #chartPower {
        width: calc(100vw - 100px) !important;
        height: calc(100vh - 170px) !important;
    }

    .comprehensiveChartMiddle {
        display: flex;
        font-size: 12px !important;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 10%;
    }

    .fivePowerChartMiddle {
        display: flex;
        font-size: 11px !important;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 10%;
    }

    .fivePowerChartMiddleSecondary {
        display: flex;
        font-size: 11px !important;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 10%;
    }

    .comprehensiveInfo {
        display: flex;
        font-size: 12px !important;
        color: #c1c1c1;
        min-height: 20px;
        align-items: center;
    }

    .bcr_title {
        font-size: 18px !important;
        color: #c1c1c1 !important;
        font-weight: 500 !important;
        margin: 0 0 10px 0 !important;
        font-family: 'msyh' !important;
        text-align: center !important;
        line-height: 20px;
    }
}

@media screen and (min-width: 850px) and (max-width: 1200px) {
    .countryContainer {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        margin: 0 100px 0 100px !important;
    }

    .comprehensiveChartMiddle_country {
        display: flex;
        font-size: 16px;
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 35% !important;
        margin-top: 15px;
    }

    .comprehensiveChartIndividual_country {
        display: flex;
        width: 65% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -3px;
    }

    .comprehensiveInfoMiddle_country {
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 35% !important;
    }

    .comprehensiveInfoIndividual_country {
        display: flex;
        width: 65% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -35px;
        margin-left: 20px;
    }

    .fivePowerChartMiddle_country {
        display: flex;
        font-size: 14px;
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 35% !important;
        margin-top: 2px;
    }

    .fivePowerChartIndividual_country {
        display: flex;
        width: 65% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -8px;
    }

    .fivePowerInfoMiddle_country {
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 35% !important;
    }

    .fivePowerInfoIndividual_country {
        display: flex;
        width: 65% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -45px;
        margin-left: 22px;
    }

    .fivePowerChartMiddleSecondary_country {
        display: flex;
        font-size: 14px;
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 35% !important;
        margin-top: 25px;
    }

    .fivePowerChartIndividualSecondary_country {
        display: flex;
        width: 65% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
    }

    .fivePowerInfoMiddleSecondary_country {
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 35% !important;
    }

    .fivePowerInfoIndividualSecondary_country {
        display: flex;
        width: 65% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -19px;
        margin-left: 22px;
    }
}

@media screen and (max-width: 849px) {
    .countryContainer {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        margin: 0 10px 0 10px !important;
    }

    .comprehensiveChartMiddle_country {
        display: flex;
        font-size: 16px;
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 30% !important;
        margin-top: 15px;
    }

    .comprehensiveChartIndividual_country {
        display: flex;
        width: 70% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -3px;
    }

    .comprehensiveInfoMiddle_country {
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 30% !important;
    }

    .comprehensiveInfoIndividual_country {
        display: flex;
        width: 70% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -35px;
        margin-left: 20px;
    }

    .fivePowerChartMiddle_country {
        display: flex;
        font-size: 14px;
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 30% !important;
        margin-top: 2px;
    }

    .fivePowerChartIndividual_country {
        display: flex;
        width: 70% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -8px;
    }

    .fivePowerInfoMiddle_country {
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 30% !important;
    }

    .fivePowerInfoIndividual_country {
        display: flex;
        width: 70% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -45px;
        margin-left: 22px;
    }

    .fivePowerChartMiddleSecondary_country {
        display: flex;
        font-size: 14px;
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 30% !important;
        margin-top: 25px;
    }

    .fivePowerChartIndividualSecondary_country {
        display: flex;
        width: 70% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
    }

    .fivePowerInfoMiddleSecondary_country {
        justify-content: right;
        align-items: center;
        text-align: center;
        width: 30% !important;
    }

    .fivePowerInfoIndividualSecondary_country {
        display: flex;
        width: 70% !important;
        justify-content: left;
        align-items: center;
        text-align: center;
        margin-top: -19px;
        margin-left: 22px;
    }
}

.accordionHead {
    display: flex;
    background-color: #3F3F4B;
    padding-left: 3px;
    padding-right: 3px;
    padding-top: 9px;
    margin-left: 3px;
    margin-right: 3px;
    margin-bottom: -2px;
    height: 40px;
    font-size: 16px;
}

.accordionHeadLeft {
    width: 70px;
    text-align: center;
    margin-left: -5px;
}

.accordionHeadMiddle {
    width: 100px;
    text-align: center;
    margin-left: 5px;
}

.accordionHeadRight_Comprehensive {
    max-width: 170px;
    text-align: center;
    color: #f6e258;
    font-weight: 600;
    margin: -4px 0 0 -12px;
    line-height: 15px;
}

.accordionHeadRight_Continuity {
    max-width: 148px;
    text-align: center;
    color: #ae9749;
    font-weight: 600;
    margin-left: 3px;
}

.accordionHeadRight_Vitality {
    max-width: 170px;
    text-align: center;
    color: #d1af94;
    font-weight: 600;
    margin-left: -3px;
}

.accordionHeadRight_Productive {
    max-width: 148px;
    text-align: center;
    color: #97d5e0;
    font-weight: 600;
    margin-left: 8px;
}

.accordionHeadRight_Developmental {
    max-width: 170px;
    text-align: center;
    color: #9496d6;
    font-weight: 600;
    margin-left: -5px;
}

.accordionHeadRight_Innovative {
    max-width: 148px;
    text-align: center;
    color: #774f8d;
    font-weight: 600;
    margin-left: 10px;
}

#accordion-container {
    color: #c1c1c1;
    font-size: 16px;
}

.accordionItem {
    display: flex;
}

.accordionCountry {
    width: 150px;
    margin-left: -5px;
    margin-right: 5px;
    text-align: center;
}

.accordingInc {
    color: #f00;
}

.accordingDec {
    color: #2ab71b;
}

.amap-marker-label {
    border: 1px solid #e1e1e1;
    border-radius: 8px;
    background-color: #3F3F4B;
    font-size: 18px;
    color: #fff;
    min-height: 40px;
    min-width: 350px;
    max-width: 400px; 
    word-wrap: break-word; 
    white-space: normal; 
    line-height: 22px;
    overflow-wrap: break-word;
    padding: 10px 5px 10px 10px;
    text-align: center;
}

.chartContainer {
    display: flex;
    justify-content: center;
    align-items: center;
}

.chartContainer_left {
    width: 500px;
    justify-content: center;
    margin-left: 15px;
}

.chartContainer_right {
    flex-grow: 1;
    justify-content: center;
}

.selectBoxCountry {
    display: flex;
    margin-top: 10px;
    justify-content: center;
    text-align: center;
}

.selectBoxCountryLeft {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.selectBoxCountryRight {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
}

.countryInfo {
    display: flex;
    margin-top: 10px;
    margin-bottom: 10px;
    justify-content: center;
    text-align: center;
}

.countryInfoLeft {
    width: 50%;
    justify-content: center;
    text-align: center;
}

.countryInfoRight {
    flex-grow: 1;
    justify-content: center;
    text-align: center;
}

.countrySequence {
    display: flex;
    justify-content: space-between;
    color: #c1c1c1;
    min-height: 30px;
    margin-top: 10px;
    margin-bottom: 30px;
}

.countrySequenceLeft, .countrySequenceRight {
    flex: 1;
    text-align: center;
    padding: 0 15px;
}

.countrySequenceLeft > span {
    color: #fff;
    font-weight: 700;
}

.countrySequenceRight > span {
    color: #fff;
    font-weight: 700;
}

.comprehensive {
    background-color: #141d25;
    border-top: 1px solid #000;
    border-bottom: 1px solid #424242;
    height: 120px;
}

.comprehensive:hover {
    background-color: #17222b;
}

.comprehensiveChart {
    display: flex;
    color: #f6e258;
    min-height: 30px;
    margin-bottom: 0px;
    align-items: center;
}

.comprehensiveChartLeft {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -3px;
}

.comprehensiveChartMiddle {
    display: flex;
    font-size: 16px;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 10%;
    margin-top: 15px;
}

.comprehensiveChartRight {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -3px;
}

.comprehensiveInfo {
    display: flex;
    font-size: 14px;
    color: #c1c1c1;
    min-height: 20px;
    align-items: center;
}

.comprehensiveInfoLeft {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -35px;
}

.comprehensiveInfoMiddle {
    justify-content: center;
    text-align: center;
    width: 10%;
}

.comprehensiveInfoRight {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -35px;
    margin-left: 12px;
}

.accordion {
    background-color: #141d25;
    color: #c1c1c1;
    cursor: pointer;
    width: 100%;
    border-top: 1px solid #000;
    border-bottom: 1px solid #424242;
    border-left: 1px solid #141d25;
    border-right: 1px solid #141d25;
    height: 110px;
    font-size: 16px;
    transition: 0.25s;
}

.active, .accordion:hover {
    background-color: #17222b;
}

.accordion:after {
    content: '\002B';  /* 设置伪元素的内容为加号（+） */
    color: #777;
    font-weight: bold;
    align-content: center;
    position: absolute;
    margin-top: -30px;
    margin-left: -5px;
}

.active:after {
    content: "\2212"; /* 设置伪元素的内容为减号（−） */
    position: absolute;
    margin-top: -30px;
    margin-left: -5px;
}

.continuityChart {
    display: flex;
    color: #ae9749;
    min-height: 30px;
    margin-bottom: 0px;
    align-items: center;
}

.vitalityChart {
    display: flex;
    color: #d1af94;
    min-height: 30px;
    margin-bottom: 0px;
    align-items: center;
}

.productiveChart {
    display: flex;
    color: #97d5e0;
    min-height: 30px;
    margin-bottom: 0px;
    align-items: center;
}

.developmentalChart {
    display: flex;
    color: #9496d6;
    min-height: 30px;
    margin-bottom: 0px;
    align-items: center;
}

.innovativeChart {
    display: flex;
    color: #774f8d;
    min-height: 30px;
    margin-bottom: 0px;
    align-items: center;
}

.fivePowerChartLeft {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -8px;
}

.fivePowerChartMiddle {
    display: flex;
    font-size: 14px;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 10%;
    margin-top: 2px;
}

.fivePowerChartRight {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -8px;
}

.fivePowerInfo {
    display: flex;
    font-size: 12px;
    color: #c1c1c1;
    min-height: 20px;
    align-items: center;
    margin: 0px
}

.fivePowerInfoLeft {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -45px;
}

.fivePowerInfoMiddle {
    justify-content: center;
    text-align: center;
    width: 10%;
}

.fivePowerInfoRight {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -45px;
}

.panel {
    margin: 0px;
    background-color: #1f2c38;
    border-bottom: 1px solid #424242;
    margin-bottom: -1px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.15s ease-out;
}

.secondary {
    height: 110px;
}

.secondary:hover {
    background-color: #253441;
}

.continuityChartSecondary {
    display: flex;
    color: #ae9749;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    align-items: center;
}

.vitalityChartSecondary {
    display: flex;
    color: #d1af94;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    align-items: center;
}

.productiveChartSecondary {
    display: flex;
    color: #97d5e0;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    align-items: center;
}

.developmentalChartSecondary {
    display: flex;
    color: #9496d6;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    align-items: center;
}

.innovativeChartSecondary {
    display: flex;
    color: #774f8d;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    align-items: center;
}

.fivePowerChartLeftSecondary {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
}

.fivePowerChartMiddleSecondary {
    display: flex;
    font-size: 14px;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 10%;
    margin-top: 25px;
}

.fivePowerChartRightSecondary {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
}

.fivePowerInfoSecondary {
    display: flex;
    font-size: 11px;
    color: #c1c1c1;
    height: 20px;
    align-items: center;
}

.fivePowerInfoLeftSecondary {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -19px;
}

.fivePowerInfoMiddleSecondary {
    justify-content: center;
    text-align: center;
    width: 10%;
}

.fivePowerInfoRightSecondary {
    display: flex;
    width: 45%;
    justify-content: center;
    text-align: center;
    margin-top: -19px;
}

.top-section {
    text-align: center;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 5px 0 0 0;
}

.bottom-section {
    text-align: center;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 15px 0 0 0;
}

.selectBoxCountryContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.selectBoxCountryLeft_Longitudinal,
.selectBoxCountryRight_Longitudinal {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

#chartPower {
    width: calc(100vw - 300px);
    height: calc(100vh - 170px);
}

#bcr {
    max-height: calc(100vh - 160px);
    margin-bottom: 5px;
    margin-right: 10px;
}

.bcr_title {
    font-size: 22px;
    color: #c1c1c1;
    font-weight: 500;
    margin: 0 0 10px 0;
    font-family: Roboto,RobotoFallback,Helvetica,Arial,sans-serif !important;
    text-align: center;
}

.selectBoxCountryIndividual {
    display: flex;
    justify-content: center;
    align-items: center;
}

.countrySequence_country {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #c1c1c1;
    min-height: 30px;
    margin-top: 30px;
    margin-bottom: 30px;
}

.countrySequenceIndividual {
    text-align: left;
    text-indent: 2em;
    white-space: pre-wrap;
    word-wrap: break-word;
    line-height: 1.5;
}

.countryContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin: 0 200px 0 200px;
}

.comprehensive_country {
    background-color: #141d25;
    border-top: 1px solid #000;
    border-bottom: 1px solid #424242;
    height: 120px;
}

    .comprehensive_country:hover {
        background-color: #17222b;
    }

.comprehensiveChart_country {
    display: flex;
    color: #f6e258;
    min-height: 30px;
    margin-bottom: 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.comprehensiveChartMiddle_country {
    display: flex;
    font-size: 16px;
    justify-content: right;
    align-items: center;
    text-align: center;
    width: 40%;
    margin-top: 15px;
}

.comprehensiveChartIndividual_country {
    display: flex;
    width: 60%;
    justify-content: left;
    align-items: center;
    text-align: center;
    margin-top: -3px;
}

.comprehensiveInfo_country {
    display: flex;
    font-size: 14px;
    color: #c1c1c1;
    min-height: 20px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.comprehensiveInfoMiddle_country {
    justify-content: right;
    align-items: center;
    text-align: center;
    width: 40%;
}

.comprehensiveInfoIndividual_country {
    display: flex;
    width: 60%;
    justify-content: left;
    align-items: center;
    text-align: center;
    margin-top: -35px;
    margin-left: 20px;
}

.continuityChart_country {
    display: flex;
    color: #ae9749;
    min-height: 30px;
    margin-bottom: 0px;
    justify-content: right;
    align-items: center;
    text-align: center;
}

.vitalityChart_country {
    display: flex;
    color: #d1af94;
    min-height: 30px;
    margin-bottom: 0px;
    justify-content: right;
    align-items: center;
    text-align: center;
}

.productiveChart_country {
    display: flex;
    color: #97d5e0;
    min-height: 30px;
    margin-bottom: 0px;
    justify-content: right;
    align-items: center;
    text-align: center;
}

.developmentalChart_country {
    display: flex;
    color: #9496d6;
    min-height: 30px;
    margin-bottom: 0px;
    justify-content: right;
    align-items: center;
    text-align: center;
}

.innovativeChart_country {
    display: flex;
    color: #774f8d;
    min-height: 30px;
    margin-bottom: 0px;
    justify-content: right;
    align-items: center;
    text-align: center;
}

.fivePowerChartMiddle_country {
    display: flex;
    font-size: 14px;
    justify-content: right;
    align-items: center;
    text-align: center;
    width: 40%;
    margin-top: 2px;
}

.fivePowerChartIndividual_country {
    display: flex;
    width: 60%;
    justify-content: left;
    align-items: center;
    text-align: center;
    margin-top: -8px;
}

.fivePowerInfo_country {
    display: flex;
    font-size: 12px;
    color: #c1c1c1;
    min-height: 20px;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 0px
}

.fivePowerInfoMiddle_country {
    justify-content: right;
    align-items: center;
    text-align: center;
    width: 40%;
}

.fivePowerInfoIndividual_country {
    display: flex;
    width: 60%;
    justify-content: left;
    align-items: center;
    text-align: center;
    margin-top: -45px;
    margin-left: 22px;
}

.panel_country {
    margin: 0px;
    background-color: #1f2c38;
    border-bottom: 1px solid #424242;
    margin-bottom: -1px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.15s ease-out;
}

.secondary_country {
    height: 110px;
}

    .secondary_country:hover {
        background-color: #253441;
    }

.continuityChartSecondary_country {
    display: flex;
    color: #ae9749;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.vitalityChartSecondary_country {
    display: flex;
    color: #d1af94;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.productiveChartSecondary_country {
    display: flex;
    color: #97d5e0;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.developmentalChartSecondary_country {
    display: flex;
    color: #9496d6;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.innovativeChartSecondary_country {
    display: flex;
    color: #774f8d;
    height: 80px;
    margin-top: 0px;
    margin-bottom: 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.fivePowerChartMiddleSecondary_country {
    display: flex;
    font-size: 14px;
    justify-content: right;
    align-items: center;
    text-align: center;
    width: 40%;
    margin-top: 25px;
}

.fivePowerChartIndividualSecondary_country {
    display: flex;
    width: 60%;
    justify-content: left;
    align-items: center;
    text-align: center;
}

.fivePowerInfoSecondary_country {
    display: flex;
    font-size: 11px;
    color: #c1c1c1;
    height: 20px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.fivePowerInfoMiddleSecondary_country {
    justify-content: right;
    align-items: center;
    text-align: center;
    width: 40%;
}

.fivePowerInfoIndividualSecondary_country {
    display: flex;
    width: 60%;
    justify-content: left;
    align-items: center;
    text-align: center;
    margin-top: -19px;
    margin-left: 22px;
}

.accordion_country {
    background-color: #141d25;
    color: #c1c1c1;
    cursor: pointer;
    width: 100%;
    border-top: 1px solid #000;
    border-bottom: 1px solid #424242;
    border-left: 1px solid #141d25;
    border-right: 1px solid #141d25;
    height: 110px;
    font-size: 16px;
    transition: 0.25s;
}

.active_country, .accordion_country:hover {
    background-color: #17222b;
}

.accordion_country:after {
    content: '\002B'; /* 设置伪元素的内容为加号（+） */
    color: #777;
    font-weight: bold;
    position: absolute;
    margin-top: -23px;
    margin-left: 0px;
}

.active_country:after {
    content: "\2212"; /* 设置伪元素的内容为减号（−） */
    position: absolute;
    margin-top: -23px;
    margin-left: 0px;
}

